show,git_merge_result-method {git2r} | R Documentation

## Brief summary of merge result

### Description

Brief summary of merge result

### Usage

    ## S4 method for signature 'git_merge_result'
    show(object)

### Arguments

`object` | The `git_merge_result` `object`

### Value

None (invisible 'NULL').

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Create a user and commit a file
    config(repo, user.name="Alice", user.email="alice@example.org")
    writeLines("First line.",
               file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "First commit message")

    ## Create and checkout a new branch. Update 'example.txt' and commit
    checkout(repo, "new_branch", create=TRUE)
    writeLines(c("First line.", "Second line."),
               file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "Second commit message")

    ## Checkout 'master' branch
    checkout(repo, "master", force = TRUE)

    ## Display 'example.txt'
    readLines(file.path(path, "example.txt"))

    ## Merge and display brief summary of the fast-forward merge
    merge(repo, "new_branch")

    ## Display 'example.txt'
    readLines(file.path(path, "example.txt"))

    ## End(Not run)

[Package git2r version 0.20.0 Index]